task Dedup {

	String sample

	File unsorted_bam

	String docker
	String cluster_config
	String disk_size


	command <<<
		set -o pipefail
		set -e
		/src/Bismark-0.18.2/deduplicate_bismark -p --bam ${unsorted_bam}	
	>>>
	runtime {
		docker:docker
    	cluster: cluster_config
    	systemDisk: "cloud_ssd 40"
    	dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}

	output {
		File Dedup_bam = "${sample}_R1_val_1_bismark_bt2_pe.deduplicated.bam"
	}
}






